Page MenuHomePhabricator

Weird form element styles on ULS in timeless skin
Closed, ResolvedPublic

Description

Timeless has its own hacked form styles, but is missing styles for all parts of ULS. Buttons in particular are inconsistent. Also input on compact language links.

Search box

The search box is supposed to take the whole width and height of the top bar, and not be separate. The magnifying glass is supposed to be integrated into it.

Correct, in Vector:

Incorrect, in Timeless:

Appearance of the "More languages" button on hover:

The "More languages" the "文A" icon must be visible on mouse over, and the button title text must not become doubled.

Correct, in Vector:

Incorrect, in Timeless:

There may be more things that I'm not still seeing.

Event Timeline

Isarra created this task.May 21 2017, 12:14 AM
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.

I added some screenshots and explanations about particular issues that I see to the task description. There may be more.

Amire80 moved this task from Backlog to Upstream on the ULS-CompactLinks board.Nov 22 2017, 12:56 PM

Probably related: The buttons in the language settings box are also off in Timeless, with the "Apply settings" button a very different height than its neighboring "Cancel" button.

That's because their mw-ui-progressive has different styles not present on any other button.

Change 530618 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Be more specific with form formatting

https://gerrit.wikimedia.org/r/530618

Change 530618 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Be more specific with form formatting

https://gerrit.wikimedia.org/r/530618

Isarra closed this task as Resolved.Aug 19 2019, 3:57 PM
Isarra claimed this task.

Form styles should no longer affect ULS.